-- SQLite
-- Base : todo.db 
-- Ressource : https://www.sqlitetutorial.net/sqlite-create-table/
--           : https://webge.synology.me/dokuwiki/doku.php?id=informatique:bdd:sqlitevscode
--------------------------------------------------------------------------
/* --------------- ATTENTION : NE PAS MODIFIER ---------------
Ce fichier permet de reconstruire la base dans sa forme initiale. 
Remarque IMPORTANTE concernant le nom et le schéma de la table.
Contrairement à la norme SQL et aux autres systèmes de base de données, 
seulement deux modifications sont possibles:
- Renommer une table.
- Ajouter une nouvelle colonne à une table.
En dehors de ces deux possibilités, la table devra être reconstruite. 
Le nom des attributs doit donc être choisi avec soin.
Pour reconstruire une table, utiliser les requêtes de creation.sql
-- DROP TABLE nomtable; --> 1) La supprimer
-- CREATE TABLE nomtable ...; --> 2) La recréer
-- INSERT INTO nomtable ...; --> 3) L'alimenter
------------------------------------------------------------------------*/

DROP TABLE IF EXISTS todo;


CREATE TABLE IF NOT EXISTS todo(
    categorie CHAR(50),
    sujet CHAR(100),
    id INTEGER PRIMARY KEY
);

INSERT INTO todo(categorie,sujet)
VALUES
('Courses','oeufs'),
('Courses','lait'),
('Courses','pain'),
('Loisirs','jeux vidéo'),
('Loisirs','cinéma'),
('Projets','avoir le bac');
