import sqlite3
import bottle


@bottle.route('/')  # Définition d'une route et d'un
def accueil():      # gestionnaire pour la page d'accueil
    # 1. Connexion à la base de données
    connexion = sqlite3.connect('bdd/todo.db')
    # 2. Création d'un curseur pour exécuter les requêtes
    curseur = connexion.cursor()
    # 3. Exécution de la requête
    curseur.execute("SELECT * FROM todo ORDER BY categorie, sujet")
    # Rem : Le résultat renvoyé par la requête est une liste de tuples
    resultat = curseur.fetchall()
    # 4. Deconnexion
    curseur.close()
    # 5. Identification de la page à utiliser
    html = bottle.template('template/pagev2.tpl', table=resultat)
    # 6. Transmission des données au navigateur
    # print(html)
    return html


@bottle.route('/retrait', method='POST')
def retirer():  # Retrait d'un élément dans la table todo
    # Acquisition de la donnée transmise par le formulaire
    idelem = bottle.request.forms.get("supprimeItem").strip()
    # 1. Activité 5 - Connexion à la base de données
    # A compléter

    # 2. Activité 5 - Création d'un curseur pour exécuter les requêtes
    # A compléter

    # 3. Exécution de la requête
    sqlstr = f"DELETE FROM todo WHERE id={str(idelem)}"
    curseur.execute(sqlstr)
    # 4. Activité 5 - Mise à jour de la table
    # A compléter

    # 5. Deconnexion
    curseur.close()
    # 6. Retour à la page principale pour afficher la liste modifiée
    bottle.redirect("/")

# Activité 7 - A compléter


@bottle.route('/ajout', method='POST')
def ajouter():  # Ajout de nouveaux éléments dans la table todo
    pass


# run() démarre le micro serveur Web Bottle sur: http://127.0.0.1:port/
bottle.run(bottle.app(), host='127.0.0.1',
           port=5000, debug=True, reloader=True)
